if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database /usr/share/mime &> /dev/null
fi

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database &> /dev/null
fi

if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache  -f -q /usr/share/icons/hicolor &> /dev/null
fi

( cd opt/kde3/share/doc/HTML/en/kxstitch ; rm -rf common )
( cd opt/kde3/share/doc/HTML/en/kxstitch ; ln -sf /opt/kde3/share/doc/HTML/en/common common )
( cd opt/kde3/share/doc/HTML/nl/kxstitch ; rm -rf common )
( cd opt/kde3/share/doc/HTML/nl/kxstitch ; ln -sf /opt/kde3/share/doc/HTML/nl/common common )
